Subject: Re: what is the status of this bug?
From: Tanya Levshina <[email-masked]>
To: <[email-masked]>
Cc: Andreas Unterkircher <[email-masked]>, <[email-masked]>, Dimitar Shiyachki <[email-masked]>, steve TRAYLEN <[email-masked]>
Date: Mon, 26 Jan 2009 10:23:01 -0600

Hi Maria,

I am planning to work on "deletion request", but I would like to discuss it a little bit more:

What is the status of the person who has requested to be deleted? 

The easiest way to assign this person "Suspended" status and send email to VO admin about the request. The person will be removed from VOMS as soon as he requests removal. The person should be able to request to be "undeleted" but it will require actions from VO Admin to restore his status.

The other way to do it - is to change user grid right to "none" as soon as he requests to be removed from VO. The email with request is sent to  VO Admin and user is removed from VOMS at the same time. In this case a user can restore his right without waiting VO Admin  if his record is still present in VOMRS.

The most complicated solution is to have an additional status "Waiting for removal"...

What do you think?

Tanya

----- Original Message -----
From: Maria Dimou-Zacharova <[email-masked]>
Date: Monday, January 26, 2009 4:57 am
Subject: what is the status of this bug?
To: Andreas Unterkircher <[email-masked]>, [email-masked], Dimitar Shiyachki <[email-masked]>, steve TRAYLEN <[email-masked]>, [email-masked]

> JSPG now approved a user self-removal request transaction so I was 
> checking whether savannah tickets already exist about this for vomrs 
> and 
> voms-admin. Do they? I found nothing
> 
> ...but I found this, almost 2-year-old 
> https://savannah.cern.ch/bugs/?25735 and wonder what is its status.
> 
> Thanks and regards
> maria